Get ticket details
curl --request GET \
--url https://{your-subdomain}.neetodesk.com/api/v1/public/tickets/{ticket_id} \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://{your-subdomain}.neetodesk.com/api/v1/public/tickets/{ticket_id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetodesk.com/api/v1/public/tickets/{ticket_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ticket": {
"id": "aaaabbbb-cccc-dddd-eeee-ffff00003333",
"number": 42,
"subject": "How to resolve the pending payments",
"description": "I need your help in resolving the pending payments.",
"priority": "medium",
"status": "open",
"category": "Questions",
"sub_category_one": "Billing",
"sub_category_two": "Refund",
"group": "Sales",
"tags": [
"refund",
"urgent"
],
"assignee": {
"id": "aaaabbbb-cccc-dddd-eeee-ffff00001111",
"name": "Oliver Smith",
"email": "oliver@example.com"
},
"customer": {
"id": "aaaabbbb-cccc-dddd-eeee-ffff00002222",
"name": "John Luther",
"email": "john@example.com",
"phone_numbers": [
"+1234567890"
]
},
"fields": [
{
"field_name": "Country",
"field_value": "USA"
}
]
}
}Tickets
Get ticket
Retrieves details of a specific ticket.
GET
/
tickets
/
{ticket_id}
Get ticket details
Deprecated: This is a v1 endpoint. It will continue to work, but we
recommend migrating to the v2 equivalent for improved REST
compliance (correct HTTP status codes, consistent response envelopes, and
hyphenated URLs).
Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
ID of the ticket to retrieve comments for. You can use either the ticket ID (UUID) or ticket number (sequential number) interchangeably. Refer to Getting Ticket ID section for detailed instructions.
Response
200 - application/json
OK - Request succeeded
Hide child attributes
Hide child attributes
Example:
"aaaabbbb-cccc-dddd-eeee-ffff00003333"
Example:
42
Example:
"How to resolve the pending payments"
Example:
"I need your help in resolving the pending payments."
Example:
"medium"
Example:
"open"
Example:
"Questions"
Example:
"Billing"
Example:
"Refund"
Name of the assigned group.
Example:
"Sales"
Example:
["refund", "urgent"]⌘I